using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgMaterialOptionalUpgradeFinalIncomeInfo
{

    /*
        商品佣金比率
    */
    private string? commissionRate;


    /*
        商品佣金金额
    */
    private string? commissionAmount;


    /*
        补贴比率
    */
    private string? subsidyRate;


    /*
        补贴金额
    */
    private string? subsidyAmount;


    /*
        补贴上限；仅在单笔订单命中补贴上限时返回结果否则出参为空
    */
    private string? subsidyUpperLimit;


    /*
        补贴类型
    */
    private string? subsidyType;



    [JsonPropertyName("commission_rate")]
    public string? CommissionRate
    {
        get => commissionRate;
        set => this.commissionRate = value;
    }

    [JsonPropertyName("commission_amount")]
    public string? CommissionAmount
    {
        get => commissionAmount;
        set => this.commissionAmount = value;
    }

    [JsonPropertyName("subsidy_rate")]
    public string? SubsidyRate
    {
        get => subsidyRate;
        set => this.subsidyRate = value;
    }

    [JsonPropertyName("subsidy_amount")]
    public string? SubsidyAmount
    {
        get => subsidyAmount;
        set => this.subsidyAmount = value;
    }

    [JsonPropertyName("subsidy_upper_limit")]
    public string? SubsidyUpperLimit
    {
        get => subsidyUpperLimit;
        set => this.subsidyUpperLimit = value;
    }

    [JsonPropertyName("subsidy_type")]
    public string? SubsidyType
    {
        get => subsidyType;
        set => this.subsidyType = value;
    }

}

